## org.biojava.stats.svm
Interface SVMClassifierModel

All Known Implementing Classes:
  AbstractSVMClassifierModel, SimpleSVMClassifierModel

    public interface SVMClassifierModel

An SVM classifier model.

This is the interface for objects that contain the model for a binary classification task.

Author:
  Matthew Pocock

Method Summary
`void` `addItem(Object item)`
`void` `addItemAlpha(Object item, double alpha)`
`double` `classify(Object item)`
`void` `clear()`
`double` `getAlpha(Object item)`
`SVMKernel` `getKernel()`
`double` `getThreshold()`
`Set` `itemAlphas()`
`Set` `items()`
`void` `removeItem(Object item)`
`void` `setAlpha(Object item, double alpha)`
`void` `setThreshold(double threshold)`

Method Detail

### getKernel

    SVMKernel getKernel()

### setThreshold

    void setThreshold(double threshold)
                      throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

### getThreshold

    double getThreshold()

### items

    Set items()

### itemAlphas

    Set itemAlphas()

### getAlpha

    double getAlpha(Object item)

### setAlpha

    void setAlpha(Object item,
                  double alpha)
                  throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

### addItem

    void addItem(Object item)
                 throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

### addItemAlpha

    void addItemAlpha(Object item,
                      double alpha)
                      throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

### removeItem

    void removeItem(Object item)
                    throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

### clear

    void clear()
               throws UnsupportedOperationException

  Throws:
    `UnsupportedOperationException`

### classify

    double classify(Object item)